Subject: Re: [PATCH 2.6.21-rt2] PowerPC: decrementer clockevent driver

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 17 May 2007 22:42:42 +0400

Hello.

Kumar Gala wrote:

>> Kumar Gala wrote:

>>> I haven't looked at all the new clock/timer code, is there any   
>>> utility in having support for more than one clock source?

>>    Of course, you may register as many as you like.

> Sure, but is there any utility in registering more than the  decrementer 
> on PPC?

    Not yet. I'm not sure I know any other PPC CPU facility fitting for 
clockevents. In theory, FIT could be used -- but its period is measured in 
powers of 2, IIRC.

> - k

WBR, Sergei